# TODO: separate ModemManager/ofono/sofia-sip plugins?
# - system call-ui library
#
# Conditional build:
%bcond_without	apidocs	# gtk-doc based API documentation

Summary:	GNOME phone dialer and call handler
Summary(pl.UTF-8):	Aplikacja GNOME do dzwonienia i przyjmowania połączeń
Name:		gnome-calls
Version:	46.3
Release:	1
License:	GPL v3+
Group:		Applications/Communication
Source0:	https://download.gnome.org/sources/calls/46/calls-%{version}.tar.xz
# Source0-md5:	bc86022a6b03c1caf77acbe8dbd1c0d9
URL:		https://gitlab.gnome.org/GNOME/calls
BuildRequires:	ModemManager-devel >= 1.12.0
BuildRequires:	evolution-data-server-devel >= 1.2
BuildRequires:	folks-devel
BuildRequires:	gettext-tools
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.1}
BuildRequires:	glib2-devel >= 1:2.62
BuildRequires:	gom-devel
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gtk+3-devel >= 3.22
%{?with_apidocs:BuildRequires:	gtk-doc}
BuildRequires:	libcallaudio-devel >= 0.1
BuildRequires:	libfeedback-devel
BuildRequires:	libhandy1-devel >= 1.4.0
BuildRequires:	libpeas-devel
BuildRequires:	libsecret-devel
BuildRequires:	meson >= 0.56.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
# pkgconfig(sofia-sip-ua-glib)
BuildRequires:	sofia-sip-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	vala-evolution-data-server >= 1.2
BuildRequires:	vala-folks
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.58
Requires(post,postun):	gtk-update-icon-cache
Requires:	ModemManager >= 1.12.0
Requires:	evolution-data-server
Requires:	glib2 >= 1:2.62
Requires:	gtk+3 >= 3.22
Requires:	hicolor-icon-theme
Requires:	libhandy1 >= 1.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME phone dialer and call handler.

%description -l pl.UTF-8
Aplikacja GNOME do dzwonienia i przyjmowania połączeń.

%package apidocs
Summary:	Documentation of GNOME Calls DBus API
Summary(pl.UTF-8):	Dokumentacja API DBus aplikacji GNOME Calls
Group:		Documentation
BuildArch:	noarch

%description apidocs
Documentation of GNOME Calls DBus API.

%description apidocs -l pl.UTF-8
Dokumentacja API DBus aplikacji GNOME Calls.

%prep
%setup -q -n calls-%{version}

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# calls and calls-ui domains
%find_lang calls --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database
%update_icon_cache hicolor

%files -f calls.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-calls
%{_sysconfdir}/xdg/autostart/org.gnome.Calls-daemon.desktop
%dir %{_libdir}/calls
%dir %{_libdir}/calls/plugins
%dir %{_libdir}/calls/plugins/provider
%dir %{_libdir}/calls/plugins/provider/dummy
%attr(755,root,root) %{_libdir}/calls/plugins/provider/dummy/libdummy.so
%{_libdir}/calls/plugins/provider/dummy/dummy.plugin
%dir %{_libdir}/calls/plugins/provider/mm
# R: ModemManager
%attr(755,root,root) %{_libdir}/calls/plugins/provider/mm/libmm.so
%{_libdir}/calls/plugins/provider/mm/mm.plugin
%dir %{_libdir}/calls/plugins/provider/ofono
# R: ofono
%attr(755,root,root) %{_libdir}/calls/plugins/provider/ofono/libofono.so
%{_libdir}/calls/plugins/provider/ofono/ofono.plugin
# R: sofia-sip
%dir %{_libdir}/calls/plugins/provider/sip
%attr(755,root,root) %{_libdir}/calls/plugins/provider/sip/libsip.so
%{_libdir}/calls/plugins/provider/sip/sip.plugin
%{_datadir}/dbus-1/services/org.gnome.Calls.service
%{_datadir}/glib-2.0/schemas/org.gnome.Calls.gschema.xml
%{_datadir}/metainfo/org.gnome.Calls.metainfo.xml
%{_desktopdir}/org.gnome.Calls.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Calls.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Calls-symbolic.svg
%{_mandir}/man1/gnome-calls.1*

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/calls
%endif
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-calls.git;a=log;h=master

* Sat Jun 29 2024 Jakub Bogusz <qboosh@pld-linux.org> d97f460
- updated to 46.3

* Wed May 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 725e5e4
- updated to 46.0

* Sat Dec 02 2023 Jakub Bogusz <qboosh@pld-linux.org> b99553a
- updated to 45.0

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 4ec293d
- updated to 44.2

* Wed May 31 2023 Jakub Bogusz <qboosh@pld-linux.org> c31c1e6
- missing dir, release 2

* Mon May 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 1014ffa
- updated to 43.3

* Thu Apr 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 41a9a2e
- updated to 42.0

* Sun Oct 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 10681f4
- updated to 41.1

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 433fe87
- updated to 41.0 release, added apidocs bcond

* Fri Sep 03 2021 Jakub Bogusz <qboosh@pld-linux.org> c914c95
- up to 41.rc

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> c4e8a4c
- updated to 41.beta

* Sat Jul 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 92aeed8
- initial

